Skip to main content
GET
Minimum required API key scope: Read
To access Query endpoints, an Analyst plan or higher is required.

Headers

X-Dune-Api-Key
string
required

API Key for the service

Path Parameters

queryId
integer
required

Query ID

Query Parameters

api_key
string

API Key, alternative to using the HTTP header X-Dune-Api-Key

Response

OK

contributors
object[]

Contributors to the query (users who have created or saved it). Only included when include_contributors=true query parameter is set.

description
string

The description of the query

Example:

"Calculate the average dex volume"

is_archived
boolean

Indicates if the query is archived. Archived queries cannot be executed.

Example:

false

is_private
boolean

Indicates if the query is private.

Example:

true

is_temp
boolean

Indicates if the query is temporary (unsaved).

Example:

false

is_unsaved
boolean

Indicates if the query is unsaved (legacy name).

Example:

false

name
string

The name of the query

Example:

"My Query"

owner
string

username or team handle

Example:

"dune"

parameters
object[]

The parameters that can modify the execution of the sql.

query_engine
string

The query engine used to execute the query.

Example:

"medium"

query_id
integer

The unique ID of the query

Example:

123

query_sql
string

The SQL query text.

Example:

"SELECT * FROM dex.trades"

tags
string[]

Tags associated with the query.

version
integer

Version of the query, gets incremented every time the query is updated.

Example:

1